Module jdk.compiler
Package com.sun.source.tree

## Interface AssertTree

- All Superinterfaces:
    `StatementTree`, `Tree`

      public interface AssertTree
      extends StatementTree

  A tree node for an `assert` statement. For example:

         assert condition ;

         assert condition : detail ;

  Since:
    1.6
  See The Java™ Language Specification:
    section 14.10

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.sun.source.tree.Tree

      `Tree.Kind`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ExpressionTree` | `getCondition​()` | Returns the condition being asserted.
    `ExpressionTree` | `getDetail​()` | Returns the detail expression.

    - ### Methods inherited from interface com.sun.source.tree.Tree

      `accept, getKind`

- - ### Method Detail

    - #### getCondition

          ExpressionTree getCondition​()

      Returns the condition being asserted.
      Returns:
        the condition

    - #### getDetail

          ExpressionTree getDetail​()

      Returns the detail expression.
      Returns:
        the detail expression